<?php

if(!function_exists( 'hfe_render_header' )){
    function hfe_render_header(){
        global $elementpresstemplate_ids;
        if($elementpresstemplate_ids[0] == null){
            return;
        }

        do_action('elementpress/template/before_header');
        echo '<div class="epress-template-content-markup epress-template-content-header">';
            echo \ElementPress\Utils::render_elementor_content($elementpresstemplate_ids[0]);
        echo '</div>';
        do_action('elementpress/template/after_header');
    }
}

if(!function_exists( 'get_hfe_header_id' )){
    function get_hfe_header_id(){
        global $elementpresstemplate_ids;
        return $elementpresstemplate_ids[0];
    }
}

if(!function_exists( 'hfe_render_footer' )){
    function hfe_render_footer(){
        global $elementpresstemplate_ids;
        if($elementpresstemplate_ids[1] == null){
            return;
        }

        do_action('elementpress/template/before_header');
        echo '<div class="epress-template-content-markup epress-template-content-header">';
            echo \ElementPress\Utils::render_elementor_content($elementpresstemplate_ids[1]);
        echo '</div>';
        do_action('elementpress/template/after_header');
    }
}

if(!function_exists( 'get_hfe_footer_id' )){
    function get_hfe_footer_id(){
        global $elementpresstemplate_ids;
        return $elementpresstemplate_ids[1];
    }
}
